#include "PlatformControllerExecutor.h"

#include <armarx/control/client/ComponentPlugin.h>
#include <armarx/control/common/type.h>
#include <armarx/navigation/common/controller_types.h>
#include <armarx/navigation/platform_controller/aron/PlatformTrajectoryControllerConfig.aron.generated.h>



namespace armarx::navigation::server
{

    PlatformControllerExecutor::PlatformControllerExecutor(
        ControllerComponentPlugin& controllerComponentPlugin) :
        controllerPlugin(controllerComponentPlugin)
    {
        controllerComponentPlugin.getRobotUnitPlugin().getRobotUnit()->loadLibFromPackage(
            "armarx_navigation", "libarmarx_navigation_platform_controller.so");


        auto builder = controllerPlugin.createControllerBuilder<
            armarx::navigation::common::ControllerType::PlatformTrajectory>();

        ctrl.emplace(builder.create().value());

        ARMARX_CHECK(ctrl.has_value());
    }

    PlatformControllerExecutor::~PlatformControllerExecutor() = default;


    void
    PlatformControllerExecutor::execute(const core::Trajectory& trajectory)
    {
    }
} // namespace armarx::navigation::server
